﻿local tweak_data_ref = nil
local data_path = ModPath .. "menu/settings.json"

Hooks:PreHook(CopBase, "init", "FBI_init", function(self, tweak_data)
	tweak_data_ref = tweak_data
	self.fbioed_menu_data = {}

	local file = io.open( data_path, "r" )
	if file then
		self.fbioed_menu_data = json.decode( file:read("*all") )
		file:close()
	end
    if not self.fbioed_menu_data.medic_shotgun then self.fbioed_menu_data.medic_shotgun = false end
end)

--Sets up the Medic's weapons
local spas12_r870 = StreamHeist and "spas12" or "r870"
local medic_shotgun_fbi = {
	spas12_r870
}
local shotgun_weapon_mapping = {
	[("units/payday2/characters/ene_medic_r870/ene_medic_r870"):key()] = medic_shotgun_fbi
}

Hooks:PreHook(CopBase, "post_init", "FBI_post_init", function(self)
	local shotgun_weapon_swap = shotgun_weapon_mapping[self._unit:name():key()]

	if shotgun_weapon_swap and self.fbioed_menu_data.medic_shotgun then
		self._default_weapon_id = type(shotgun_weapon_swap) == "table" and table.random(shotgun_weapon_swap) or shotgun_weapon_swap
	end
end)